Debian Bug report logs - #653195
transition: libarchive

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Andres Mejia <amejia004@gmail.com>

Date: Sun, 25 Dec 2011 00:45:01 UTC

Owned by: Niels Thykier <niels@thykier.net>

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ah-libarchive@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653195; Package release.debian.org. (Sun, 25 Dec 2011 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
New Bug report received and forwarded. Copy sent to ah-libarchive@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Dec 2011 00:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libarchive
Date: Sat, 24 Dec 2011 19:43:26 -0500
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

I am requesting a transition from libarchive1 to the latest libarchive shared
library package (which will be libarchive12). The latest libarchive version to
transition to will be libarchive-3.0.2 (soon to be uploaded to experimental).
This transition will require source changes to packages that used the following
functions from libarchive.

archive_read_data_block
archive_read_data_into_buffer
archive_read_set_format_options
archive_read_set_filter_options
archive_read_extract_set_skip_file
archive_write_set_skip_file
archive_write_data_block
archive_write_set_format_options
archive_write_set_compressor_options
archive_write_disk_set_skip_file
archive_write_disk_set_group_lookup
archive_write_disk_set_user_lookup
archive_read_disk_gname
archive_read_disk_uname
archive_read_disk_set_gname_lookup
archive_read_disk_set_uname_lookup
archive_entry_gid
archive_entry_ino
archive_entry_uid
archive_entry_set_gid
archive_entry_set_ino
archive_entry_set_uid
archive_entry_acl_add_entry
archive_entry_acl_add_entry_w
__archive_entry_acl_parse_w

All other packages can simply be binNMUed. The following packages are reverse
dependencies of libarchive1 (as found using apt-cache).

  ark
  gmameui
  tuxcmd-modules
  libtotem-plparser17
  reprepro
  rdup
  packagekit-bash-completion
  packagekit
  libpackagekit-glib2-14
  gstreamer0.10-packagekit
  browser-plugin-packagekit
  libapache2-mod-musicindex
  hydrogen
  gvfs-backends
  deb-gview
  cpio
  cmake-qt-gui
  cmake-curses-gui
  cmake
  claws-mail-archiver-plugin
  archivemount

Also, libtotem-plparser-dev is a reverse dependency on libarchive-dev.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653195; Package release.debian.org. (Sun, 25 Dec 2011 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Dec 2011 17:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 653195@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 653195@bugs.debian.org
Cc: Debian Libarchive Maintainers <ah-libarchive@debian.org>
Subject: Re: Bug#653195: transition: libarchive
Date: Sun, 25 Dec 2011 12:22:52 -0500
On Sat, Dec 24, 2011 at 7:43 PM, Andres Mejia <mcitadel@gmail.com> wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
>
> I am requesting a transition from libarchive1 to the latest libarchive shared
> library package (which will be libarchive12). The latest libarchive version to
> transition to will be libarchive-3.0.2 (soon to be uploaded to experimental).
> This transition will require source changes to packages that used the following
> functions from libarchive.
>
> archive_read_data_block
> archive_read_data_into_buffer
> archive_read_set_format_options
> archive_read_set_filter_options
> archive_read_extract_set_skip_file
> archive_write_set_skip_file
> archive_write_data_block
> archive_write_set_format_options
> archive_write_set_compressor_options
> archive_write_disk_set_skip_file
> archive_write_disk_set_group_lookup
> archive_write_disk_set_user_lookup
> archive_read_disk_gname
> archive_read_disk_uname
> archive_read_disk_set_gname_lookup
> archive_read_disk_set_uname_lookup
> archive_entry_gid
> archive_entry_ino
> archive_entry_uid
> archive_entry_set_gid
> archive_entry_set_ino
> archive_entry_set_uid
> archive_entry_acl_add_entry
> archive_entry_acl_add_entry_w
> __archive_entry_acl_parse_w
>
> All other packages can simply be binNMUed. The following packages are reverse
> dependencies of libarchive1 (as found using apt-cache).
>
>  ark
>  gmameui
>  tuxcmd-modules
>  libtotem-plparser17
>  reprepro
>  rdup
>  packagekit-bash-completion
>  packagekit
>  libpackagekit-glib2-14
>  gstreamer0.10-packagekit
>  browser-plugin-packagekit
>  libapache2-mod-musicindex
>  hydrogen
>  gvfs-backends
>  deb-gview
>  cpio
>  cmake-qt-gui
>  cmake-curses-gui
>  cmake
>  claws-mail-archiver-plugin
>  archivemount
>
> Also, libtotem-plparser-dev is a reverse dependency on libarchive-dev.
>
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.1.0-1-amd64 (SMP w/8 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
>

I attempt to rebuild all packages in this list in a clean chroot. Out
of all the packages, only gmameui, tuxcmd-modules, and deb-gview
appear to require changes to their sources in order to build with the
latest libarchive. All other packages can simply be binNMUed.

One other note, hydrogen currently fails to build, although that stems
from a different issue which has already been addressed and pending a
new upload. The pending version of hydrogen builds with the latest
version of libarchive.

-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653195; Package release.debian.org. (Sun, 25 Dec 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Dec 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 653195@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 653195@bugs.debian.org
Subject: transition: libarchive
Date: Sun, 25 Dec 2011 13:42:27 -0500
I have finished checking what changes were required for gmameui,
tuxcmd-modules, and deb-gview in order to build with both the current
version of libarchive (2.8.5) and the latest version (3.0.2).
Fortunately, all changes required are trivial. I filed bug reports and
patches in the following locations.

gmameui: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653231
tuxcmd-modules: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653233
deb-gview: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653237

As said before, all other packages simply need to be binNMUed. The
package 'hydrogen' requires a sourceful upload for a seperate issue.

With all this said, I am requesting a transition slot for the
transition from libarchive 2.8.5 to libarchive 3.0.2.

-- 
Regards,
Andres Mejia




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653195; Package release.debian.org. (Sun, 25 Dec 2011 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Niels Thykier" <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Dec 2011 22:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 653195@bugs.debian.org (full text, mbox):

From: "Niels Thykier" <niels@thykier.net>
To: 653195@bugs.debian.org, "Andres Mejia" <mcitadel@gmail.com>, 653195@bugs.debian.org
Subject: Re: Bug#653195: transition: libarchive
Date: Sun, 25 Dec 2011 23:09:32 +0100
On Dec 25, 2011 19:42 "Andres Mejia" <mcitadel@gmail.com> wrote:

> I have finished checking what changes were required for gmameui,
> tuxcmd-modules, and deb-gview in order to build with both the current
> version of libarchive (2.8.5) and the latest version (3.0.2).
> Fortunately, all changes required are trivial. I filed bug reports and
> patches in the following locations.
> 
> gmameui: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653231>
> tuxcmd-modules:
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653233>
> deb-gview: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653237>
> 
> As said before, all other packages simply need to be binNMUed. The
> package 'hydrogen' requires a sourceful upload for a seperate issue.
> 
> With all this said, I am requesting a transition slot for the
> transition from libarchive 2.8.5 to libarchive 3.0.2.
> 
> 
> 


Hi,

Thanks for rebuild testing the packages.

I have setup a tracker for the libarchive transition at [1], please confirm it matches your expectations.

In regards to timing, we will have to wait until the evolution3.2 transition is over[2].  We will get back to you when it is done.

~Niels

[1] http://release.debian.org/transitions/html/libarchive.html

[2] http://release.debian.org/transitions/html/evolution3.2.html





Added blocking bug(s) of 653195: 648559 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 25 Dec 2011 22:15:07 GMT) Full text and rfc822 format available.

Owner recorded as Niels Thykier <niels@thykier.net>. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Sun, 25 Dec 2011 22:15:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#653195; Package release.debian.org. (Mon, 26 Dec 2011 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <mcitadel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Mon, 26 Dec 2011 15:09:03 GMT) Full text and rfc822 format available.

Message #29 received at 653195@bugs.debian.org (full text, mbox):

From: Andres Mejia <mcitadel@gmail.com>
To: 653195@bugs.debian.org
Subject: Re: Bug#653195: transition: libarchive
Date: Mon, 26 Dec 2011 10:07:51 -0500
On Sun, Dec 25, 2011 at 5:09 PM, Niels Thykier <niels@thykier.net> wrote:
> On Dec 25, 2011 19:42 "Andres Mejia" <mcitadel@gmail.com> wrote:
>
>> I have finished checking what changes were required for gmameui,
>> tuxcmd-modules, and deb-gview in order to build with both the current
>> version of libarchive (2.8.5) and the latest version (3.0.2).
>> Fortunately, all changes required are trivial. I filed bug reports and
>> patches in the following locations.
>>
>> gmameui: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653231>
>> tuxcmd-modules:
>> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653233>
>> deb-gview: <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=653237>
>>
>> As said before, all other packages simply need to be binNMUed. The
>> package 'hydrogen' requires a sourceful upload for a seperate issue.
>>
>> With all this said, I am requesting a transition slot for the
>> transition from libarchive 2.8.5 to libarchive 3.0.2.
>>
>>
>>
>
>
> Hi,
>
> Thanks for rebuild testing the packages.
>
> I have setup a tracker for the libarchive transition at [1], please confirm it matches your expectations.

Yes, this is what I expect.

> In regards to timing, we will have to wait until the evolution3.2 transition is over[2].  We will get back to you when it is done.

Very well.

> ~Niels
>
> [1] http://release.debian.org/transitions/html/libarchive.html
>
> [2] http://release.debian.org/transitions/html/evolution3.2.html
>



-- 
Regards,
Andres Mejia




Changed Bug submitter to 'Andres Mejia <amejia004@gmail.com>' from 'Andres Mejia <mcitadel@gmail.com>' Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Fri, 03 Feb 2012 21:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>:
Bug#653195; Package release.debian.org. (Fri, 03 Feb 2012 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>, Niels Thykier <niels@thykier.net>. (Fri, 03 Feb 2012 21:39:03 GMT) Full text and rfc822 format available.

Message #36 received at 653195@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: 653195@bugs.debian.org
Subject: transition: libarchive
Date: Fri, 3 Feb 2012 16:34:02 -0500
I haven't seen any activity with evolution 3.2 / libgdata 0.10
transition. Should the transition of libarchive still wait?

-- 
~ Andres




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#653195; Package release.debian.org. (Mon, 06 Feb 2012 15:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 15:12:06 GMT) Full text and rfc822 format available.

Message #41 received at 653195@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Andres Mejia <amejia004@gmail.com>, 653195@bugs.debian.org
Subject: Re: Bug#653195: transition: libarchive
Date: Mon, 06 Feb 2012 16:09:05 +0100
block 653195 by 653231
unblock 653195 by 648559
tags 653195 + pending
severity 653231 serious
done

On 2012-02-03 22:34, Andres Mejia wrote:
> I haven't seen any activity with evolution 3.2 / libgdata 0.10
> transition. Should the transition of libarchive still wait?
> 

Hi,

Sorry, I forgot to follow up on this.  The blocking part of the
evolution transition is done by now[1] and we are good to go with
libarchive.  Please go ahead upload it to unstable.

~Niels

[1] Allegedly there is a second part coming up. :)





Added blocking bug(s) of 653195: 653231 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:12:07 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 653195: 648559 Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:12:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:12:11 GMT) Full text and rfc822 format available.

Added indication that bug 653195 blocks 653919 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Mon, 06 Feb 2012 15:27:13 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653195: 659294 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 09 Feb 2012 23:15:07 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 10:52:33 GMT) Full text and rfc822 format available.

Notification sent to Andres Mejia <amejia004@gmail.com>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 10:52:37 GMT) Full text and rfc822 format available.

Message #56 received at 653195-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Andres Mejia <mcitadel@gmail.com>, 653195-done@bugs.debian.org
Subject: Re: Bug#653195: transition: libarchive
Date: Sat, 3 Mar 2012 11:51:46 +0100
[Message part 1 (text/plain, inline)]
Andres Mejia <mcitadel@gmail.com> (24/12/2011):
> I am requesting a transition from libarchive1 to the latest libarchive
> shared library package (which will be libarchive12). The latest
> libarchive version to transition to will be libarchive-3.0.2 (soon to
> be uploaded to experimental).  This transition will require source
> changes to packages that used the following functions from libarchive.

Finally done! Merry christmas!

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:54:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:29:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.